# frozen_string_literal: true

class CreateVulnerabilityScanners < ActiveRecord::Migration[4.2]
  include Gitlab::Database::MigrationHelpers

  DOWNTIME = false

  def change
    create_table :vulnerability_scanners, id: :bigserial do |t|
      t.timestamps_with_timezone null: false

      t.references :project, null: false, foreign_key: { on_delete: :cascade }

      t.string :external_id, null: false
      t.string :name, null: false

      t.index [:project_id, :external_id], unique: true
    end
  end
end
